# -*- coding: latin-1 -*-
#########################################################
#Author: Jean-Baptiste Fasquel, LISA Laboratory, Angers University, France
#Copyright (C) 2013 Jean-Baptiste Fasquel
#########################################################


import numpy as np
import scipy as sp ; from scipy import misc
import skimage as sk; from skimage import exposure,filters
import matplotlib.pyplot as plt

###################
#Load image
###################
image=sp.misc.imread("td1_image_non_equalized_small.jpeg") 
#image=sp.misc.imread("td1_image_to_segment_small.jpeg")

###################
#Compute histogramme
###################
#Manuel (en utilisant skimage: histo,bins=sk.exposure.histogram(image))
bins=np.arange(np.min(image),np.max(image)+1)
histo=np.zeros((len(bins)))
print("X: " , bins)
print("Y: " , histo)


###################
#PLOT
###################
plt.subplot(121)
plt.title("Image")
plt.imshow(image,"gray")
plt.axis('off')
plt.subplot(122)
plt.title("Histogram")
plt.plot(bins,histo)
plt.show()
